<?php
/**
* @package	FA Carousel Joomla Module
* @version	1.0.0
* @author	Faddons
* @author url: http://faddons.com
* @author email faddons20@gmail.com
* @Copyright (C) 2020 Faddons. All Rights Reserved.
* @license	GNU General Public License version 2 or later
*/

defined('_JEXEC') or die;

JLoader::register('FaCarouselHelper', __DIR__ . '/helper.php');

$source 			= $params->get('source', 'content_all');
$loadjquery 		= $params->get('loadjquery', '1');
$moduleclass_sfx 	= $params->get('moduleclass_sfx');
$auto 				= ($params->get('auto_scroll', '1') == 1)? $params->get('interval', '3000'): 'false';
$visible 			= $params->get('visible', '3');
$width 				= $params->get('width', '200');
$height 			= $params->get('height', '200');
$speed 				= $params->get('speed', '500');
$scroll_item 		= $params->get('scroll_item', '3');
$circular 			= ($params->get('circular', '1'))? 'true': 'false';
$vertical 			= ($params->get('vertical', '0'))? 'true': 'false';
$mouseWheel 		= ($params->get('mouseWheel', '1'))? 'true': 'false';
$showNavigation 	= $params->get('showNavigation', '1');
$fullWidth 			= ($params->get('fullWidth', '0'))? 'true': 'false';
$create_thumbnails 	= $params->get('create_thumbnails', '1');
$backgroundColor 	= $params->get('backgroundColor', '#F8F8FF');
$borderWidth 		= $params->get('borderWidth', '1px');
$borderStyle 		= $params->get('borderStyle', 'solid');
$borderColor 		= $params->get('borderColor', '#bababa');
$borderRadius 		= $params->get('borderRadius', '4px');
$paddingBox 		= $params->get('paddingBox', '10px');
$itemMargin 		= $params->get('itemMargin', '10px');
$itemBorderWidth 	= $params->get('itemBorderWidth', '0px');
$itemBorderColor 	= $params->get('itemBorderColor', '#bababa');
$itemBorderRadius 	= $params->get('itemBorderRadius', '4px');
$items 				= json_decode($params->get('data', array()));

require JModuleHelper::getLayoutPath('mod_fa_carousel', $params->get('layout', 'default'));
